Package org.eclipse.e4.ui.workbench.modeling

## Enum EPartService.PartState

- java.lang.Object
- - java.lang.Enum<EPartService.PartState>
  - - org.eclipse.e4.ui.workbench.modeling.EPartService.PartState

All Implemented Interfaces:
  `Serializable`, `Comparable<EPartService.PartState>`

Enclosing interface:
  EPartService

    public static enum EPartService.PartState
    extends Enum<EPartService.PartState>

Applicable states that a part can be in. This will be used in conjunction with `EPartService.showPart(String, PartState)`.

### Enum Constant Summary

Enum Constants
`ACTIVATE` Part state that indicates the part should be made visible and activated.
`CREATE` Part state that indicates the part should be created but not necessarily made visible.
`VISIBLE` Part state that indicates the part should be made visible though it may not necessarily be granted focus.

### Method Summary

All Methods Static Methods Concrete Methods
`static EPartService.PartState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static EPartService.PartState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ACTIVATE

    public static final EPartService.PartState ACTIVATE

Part state that indicates the part should be made visible and activated.

#### VISIBLE

    public static final EPartService.PartState VISIBLE

Part state that indicates the part should be made visible though it may not necessarily be granted focus. If the part will be displayed in the same stack as the currently active part, then this has the same effect as `ACTIVATE`.

#### CREATE

    public static final EPartService.PartState CREATE

Part state that indicates the part should be created but not necessarily made visible.

### Method Detail

#### values

    public static EPartService.PartState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EPartService.PartState c : EPartService.PartState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EPartService.PartState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null